#include <stdio.h>

struct vaga
{
    int d;
    int u;
};
struct pitanje
{
    int l;
    int r;
    int x;
};
int main()
{
    struct vaga vaga[10];
    struct pitanje pitanje[10];
    int m,n,i,j,br=0;
    printf("Unesi n:");
    scanf("%d",&n);
    printf("Unesi m:");
    scanf("%d",&m);
    for(i=1;i<=n;i++)
    {
        printf("%d. vaga\n",i+1);
        printf("minimalna tezina\n");
        scanf("%d",&vaga[i].d);
        printf("maksimalna tezina\n");
        scanf("%d",&vaga[i].u);
    }
    for(i=1;i<=m;i++)
    {
        printf("%d. pitanje\n",i+1);
        printf("od indeksa\n");
        scanf("%d",&pitanje[i].l);
        printf("do indeksa\n");
        scanf("%d",&pitanje[i].r);
        printf("moze  da meri tezinu\n");
        scanf("%d",&pitanje[i].x);
    }
    
    for(j=1;j<=m;j++)
    {
    for(i=pitanje[j].l;i<=pitanje[j].r;i++)
    if(pitanje[j].x>=vaga[i].d && pitanje[j].x<=vaga[i].u)
    br++;
    printf("%d\n",br);
    br=0;
    }
}